# FilePath

open class FilePath : Path

A Path that keeps the reference to the File

## Constructors

FilePath
Link copied to clipboard
constructor(file: File, url: String, canonicalUrl: String, relPath: String)

## Properties

canonicalUrl
Link copied to clipboard
val canonicalUrl: String
file
Link copied to clipboard
val file: File
relPath
Link copied to clipboard
val relPath: String
url
Link copied to clipboard
val url: String

## Functions

equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
toString
Link copied to clipboard
open fun toString(): String